Package org.jboss.logmanager.config

# Interface ObjectConfigurable<T>

All Known Subinterfaces:
  `ErrorManagerConfiguration`, `FilterConfiguration`, `FormatterConfiguration`, `HandlerConfiguration`, `PojoConfiguration`

public interface ObjectConfigurable<T>
A configurable object with a specific class name.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Get the class name for this object's configuration.
`default T`
`getInstance()`
Returns the instance associated with this configuration or `null` if no instance has yet been created.
`String`
`getModuleName()`
Get the module name for this object's configuration, if any.

## Method Details

### getModuleName

String getModuleName()
Get the module name for this object's configuration, if any. If JBoss Modules is not present on the class path, only `null` values are accepted.

Returns:
  the module name, or `null` if none is configured

### getClassName

String getClassName()
Get the class name for this object's configuration.

Returns:
  the class name

### getInstance

default T getInstance()
Returns the instance associated with this configuration or `null` if no instance has yet been created.

Any changes to the instance will not be recognized by the configuration API.

Returns:
  the instance associated with this configuration or `null`